"use strict";
var clc = require('cli-color');
class Logger {
    static log(message) {
        Logger.logs += ' INFO ' + ' ' + message + '\n';
        console.log(clc.xterm(254).bgXterm(32)(' INFO ') + ' ' + clc.xterm(32)(message));
    }
    static error(message) {
        Logger.logs += ' ERROR ' + ' ' + message + '\n';
        console.log(clc.xterm(254).bgXterm(124)(' ERROR ') + ' ' + clc.xterm(124)(message));
    }
    static logTreeElement(prefix, title, light, error) {
        var color = error ? 9 : (light ? 39 : 32);
        console.log(clc.xterm(254).bgBlack(prefix) + clc.xterm(color)(title));
    }
}
Logger.logs = '';
exports.Logger = Logger;
//# sourceMappingURL=logger.js.map