
declare var require:any;

var clc = require('cli-color');

export class Logger
{
  static logs:string = '';

  static log(message:string)
  {
    Logger.logs += ' INFO ' + ' ' + message + '\n';

    console.log(clc.xterm(254).bgXterm(32)(' INFO ') + ' ' + clc.xterm(32)(message));
  }

  static error(message:string)
  {
    Logger.logs += ' ERROR ' + ' ' + message + '\n';

    console.log(clc.xterm(254).bgXterm(124)(' ERROR ') + ' ' + clc.xterm(124)(message));
  }

  static logTreeElement(prefix:string, title:string, light:boolean, error:boolean)
  {
    var color = error ? 9 : (light ? 39 : 32);

    console.log(clc.xterm(254).bgBlack(prefix) + clc.xterm(color)(title));
  }
}
